Subject: Re: [PATCHv2 net-next 2/2] selftests: add a selftest for directed broadcast forwarding

From: David Ahern <[email-masked]>
Date: Wed, 4 Jul 2018 12:31:58 -0600

On 7/4/18 11:56 AM, Xin Long wrote:
> A proper test can be done easily with netns, as vrf can't isolate much.
> I don't want to bother forwarding/ directory with netns, so I will probably
> just drop this selftest, and let the feature patch go first.
> 
> What do you think?
> 

I think I would like to see a proper test case for this.

If it does not fit the model that Ido and others are using under the
forwarding directory, then how about one in tools/testing/selftests/net
then.